<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/menuView"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <TextView
        android:id="@+id/titre"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Jeu de la vie"
        app:layout_constraintBottom_toTopOf="@+id/regleLabel"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/nbColone"
        android:layout_width="84dp"
        android:layout_height="50dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/nbColoneLabel"
        app:layout_constraintTop_toBottomOf="@+id/regleLabel" />

    <TextView
        android:id="@+id/nbColoneLabel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginLeft="40dp"
        android:text="Nb de colonnes"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/regleLabel" />

    <TextView
        android:id="@+id/nbLigneLabel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="nb lignes"

        app:layout_constraintBottom_toBottomOf="@+id/nbLignes"
        app:layout_constraintEnd_toEndOf="@+id/nbColoneLabel"

        app:layout_constraintTop_toBottomOf="@+id/nbColoneLabel" />

    <EditText
        android:id="@+id/nbLignes"
        android:layout_width="84dp"
        android:layout_height="50dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/nbLigneLabel"
        app:layout_constraintTop_toBottomOf="@+id/nbColone" />

    <TextView
        android:id="@+id/CouleurLabel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Couleur"

        app:layout_constraintEnd_toEndOf="@+id/nbLigneLabel"
        app:layout_constraintTop_toBottomOf="@+id/nbLignes" />

    <Button
        android:id="@+id/couleur1"
        android:layout_width="40dp"
        android:layout_height="25dp"

        android:onClick="setCellsRed"

        app:backgroundTint="@android:color/holo_red_dark"
        app:layout_constraintStart_toStartOf="@+id/nbLignes"
        app:layout_constraintTop_toTopOf="@+id/CouleurLabel" />

    <Button
        android:id="@+id/couleur2"
        android:layout_width="40dp"
        android:layout_height="25dp"

        android:onClick="setCellsGreen"
        android:text="Button"
        app:backgroundTint="@android:color/holo_green_dark"
        app:layout_constraintEnd_toStartOf="@+id/couleur3"
        app:layout_constraintStart_toEndOf="@+id/couleur1"
        app:layout_constraintTop_toTopOf="@+id/couleur1" />

    <Button
        android:id="@+id/couleur3"
        android:layout_width="40dp"
        android:layout_height="25dp"
        android:onClick="setCellsBlue"

        android:text="Button"

        app:backgroundTint="@android:color/holo_blue_dark"

        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/CouleurLabel" />

    <Button
        android:id="@+id/startButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="START \\(o^u^o)/"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/CouleurLabel" />

    <TextView
        android:id="@+id/regleLabel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="432dp"
        android:text=""

        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/titre"
        app:layout_constraintStart_toStartOf="@+id/nbColoneLabel"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>